@import url('./tailwind.css');
@import url('./remixicon/remixicon.css');
@import url('@gouvfr/dsfr/dist/utility/utility.min.css');
@import url('@gouvfr/dsfr/dist/dsfr.min.css');
@import url('@gouvfr/dsfr/dist/dsfr.print.min.css');

body {
	background-color: var(--background-contrast-grey);
}

.grey-background {
	background-color: var(--background-contrast-grey);
}

.fr-card--white {
	background-color: var(--background-default-grey);
}

.custom-hover:hover {
	background-color: var(--grey-975-75) !important;
}

.blue-text {
	color: var(--text-action-high-blue-france);
}

.red-text {
	color: var(--text-action-high-red-marianne);
}

.orange-text {
	color: var(--orange-terre-battue-main-645);
}

.grey-text {
	color: var(--text-default-grey);
}

.disabled-text {
	color: var(--text-disabled-grey);
}

.blue-background {
	background-color: var(--background-active-blue-france);
	color: var(--text-inverted-blue-france);
}

.dark-grey-border {
	border-color: var(--background-contrast-grey);
}

.grey-border {
	border-color: var(--background-contrast-grey);
}

.blue-border {
	border-color: var(--background-contrast-blue-france);
}

.dark-blue-border {
	border-color: var(--background-action-high-blue-france);
}

.pulse {
	animation-name: pulse;
	animation-duration: 2s;
	animation-timing-function: ease-in-out;
	animation-iteration-count: infinite;
}

.pulse-black {
	animation-name: pulse-black;
	animation-duration: 2s;
	animation-direction: alternate;
	animation-timing-function: ease-in-out;
	animation-iteration-count: infinite;
}

@keyframes pulse-black {
	0% {
		transform: scaleX(1);
	}

	70% {
		transform: scaleX(0.95);
	}

	100% {
		transform: scaleX(1);
	}
}

@keyframes pulse {
	0% {
		background-color: rgba(165, 165, 165, 0.1);
	}
	50% {
		background-color: rgba(165, 165, 165, 0.4);
	}
	100% {
		background-color: rgba(165, 165, 165, 0.1);
	}
}

.line-clamp-1 {
	overflow: hidden;
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 1;
}

.line-clamp-2 {
	overflow: hidden;
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 2;
}

.line-clamp-3 {
	overflow: hidden;
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 3;
}

.line-clamp-4 {
	overflow: hidden;
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 4;
}

.line-clamp-5 {
	overflow: hidden;
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 5;
}

.line-clamp-6 {
	overflow: hidden;
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 6;
}

.line-clamp-none {
	-webkit-line-clamp: unset;
}

input[type='checkbox']:indeterminate + label::before {
	--idle: transparent;
	--hover: var(--background-active-blue-france-hover);
	--active: var(--background-active-blue-france-active);
	background-color: var(--border-default-grey);
}

.fr-translate .fr-menu__list {
	width: max-content !important;
}

.fr-translate .fr-translate__btn {
	padding: 0.5rem 1rem !important;
}

.fr-translate .fr-translate__btn::before {
	display: none;
}

.fr-notice--info .fr-translate__menu {
	left: 0;
}

.circled {
	background-color: var(--background-active-blue-france);
	color: var(--text-inverted-blue-france);
	border-radius: 50%;
	-moz-border-radius: 50%;
	-webkit-border-radius: 50%;
	display: inline-block;
	font-weight: bold;
	line-height: 1.4rem;
	text-align: center;
	width: 1.4rem;
}

.items-first-baseline {
	align-items: first baseline !important;
}

.fr-accordion-borderless::before {
	box-shadow: none !important;
}

.box-shadow {
	box-shadow: 0 0 0 1px var(--border-default-grey);
}

.createur-card-checkbox {
	opacity: 0 !important;
}

.createur-card:hover .createur-card-checkbox {
	opacity: 1 !important;
}

.local-card-checkbox {
	opacity: 0 !important;
}

.local-card:hover .local-card-checkbox {
	opacity: 1 !important;
}

.triangle {
	display: inline-block;
	height: 0;
	width: 0;
	border-bottom-width: 14px;
	border-bottom-style: solid;
	border-right: 8px solid transparent;
	border-left: 8px solid transparent;
}

input.fr-input:invalid {
	box-shadow: inset 0 -2px 0 0 var(--border-plain-error);
}

a[href=''].disabled {
	pointer-events: none;
	--hover: inherit;
	--active: inherit;
	background-color: transparent;
	box-shadow: inset 0 0 0 1px var(--border-disabled-grey);
	color: var(--text-disabled-grey);
}

.fr-btns-group:where(:not(.fr-btns-group--sm):not(.fr-btns-group--lg)).fr-btns-group--icon-left
	.fr-btn[class*=' fr-fi-']:where(:not([class*='fr-btn--icon-']))::before,
.fr-btns-group:where(:not(.fr-btns-group--sm):not(.fr-btns-group--lg)).fr-btns-group--icon-left
	.fr-btn[class*=' fr-icon-']:where(:not([class*='fr-btn--icon-']))::before,
.fr-btns-group:where(:not(.fr-btns-group--sm):not(.fr-btns-group--lg)).fr-btns-group--icon-left
	.fr-btn[class^='fr-fi-']:where(:not([class*='fr-btn--icon-']))::before,
.fr-btns-group:where(:not(.fr-btns-group--sm):not(.fr-btns-group--lg)).fr-btns-group--icon-left
	.fr-btn[class^='fr-icon-']:where(:not([class*='fr-btn--icon-']))::before {
	--icon-size: 1rem !important;
	margin-left: 0rem !important;
	margin-right: 0rem !important;
}

.fr-btns-group:where(:not(.fr-btns-group--sm):not(.fr-btns-group--lg)).fr-btns-group--icon-right
	.fr-btn[class*=' fr-fi-']:where(:not([class*='fr-btn--icon-']))::before,
.fr-btns-group:where(:not(.fr-btns-group--sm):not(.fr-btns-group--lg)).fr-btns-group--icon-right
	.fr-btn[class*=' fr-icon-']:where(:not([class*='fr-btn--icon-']))::before,
.fr-btns-group:where(:not(.fr-btns-group--sm):not(.fr-btns-group--lg)).fr-btns-group--icon-right
	.fr-btn[class^='fr-fi-']:where(:not([class*='fr-btn--icon-']))::before,
.fr-btns-group:where(:not(.fr-btns-group--sm):not(.fr-btns-group--lg)).fr-btns-group--icon-right
	.fr-btn[class^='fr-icon-']:where(:not([class*='fr-btn--icon-']))::before {
	--icon-size: 1rem !important;
	margin-left: 0rem !important;
	margin-right: 0rem !important;
}

.fr-tabs {
	box-shadow: none !important;
}

.fr-tabs::before {
	box-shadow: none !important;
}

.fr-tabs__panel {
	transition: none !important;
}

.print-only {
	display: none;
}

.printed {
	display: flex;
	padding: 1em;
}

.printed .fr-btn {
	display: none !important;
}

.printed [href] {
	background: none;
}

@media print {
	header {
		display: none;
	}

	a {
		display: none;
	}
}

.fr-search-bar .fr-input:disabled {
	box-shadow: inset 0 -2px 0 0 var(--border-disabled-grey);
}

.compact-tile {
	.fr-tile {
		padding: 1em 1em 1em 1.25em !important;
	}

	.fr-tile__content {
		justify-content: space-evenly !important;
	}

	.fr-tile__desc {
		flex: unset !important;
	}
}